#!/bin/bash
pushd ~/.dotfiles
printf "Updating devenv\n"
nix flake update
pushd ./nix/home-manager
printf "Updating home-manager\n"
nix flake update
if [[ $(uname) == "Darwin" ]]; then
	home-manager switch --flake ".#aarch64-darwin-acicchetti"
else
	home-manager switch --flake '.#x86_64-linux-acicchetti'
fi
