{
  pkgs,
  lib,
  config,
  system,
  ...
}: {
  imports = [
    ./emacs.nix
    ./git.nix
    ./starship.nix
    ./zellij.nix
  ];
  home.packages = with pkgs; [
    bandwhich
    bat
    bottom
    cargo-workspaces
    colima
    clipboard-jh
    dogdns
    erdtree
    fd
    gawk
    git-credential-1password
    gnutar
    gping
    imagemagick
    internetarchive
    jless
    jq
    just
    kondo
    litecli
    magic-wormhole-rs
    neovim
    pdm
    poetry
    racket
    ripgrep
    rsync
    sqlite
    yt-dlp
    zstd
  ];
}
